body {
    background-color: #121212;
    color: #ffffff;
    margin: 0;
    padding: 0;
}

.circuit-container {
    display: flex;
    flex-wrap: wrap;
    max-width: 1200px;
    margin: 20px auto;
    gap: 20px;
    justify-content: space-between;
}


.session-table {
    width: 25%;
    min-width: 350px;
    max-width: none;
    background-color: #1e1e1e;
    padding: 15px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5);
}

.session-table h2 {
    text-align: center;
    margin-bottom: 15px;
    font-size: 22px;
}

.session-card {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: #2a2a2a;
    padding: 12px;
    margin-bottom: 8px;
    border-radius: 10px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.5);
}

.session-date {
    font-size: 18px;
    font-weight: bold;
    color: #ffcc00;
    flex: 1;
    text-align: left;
}

.session-name {
    font-size: 16px;
    font-weight: bold;
    color: #ffffff;
    flex: 2;
    text-align: center;
}

.session-time {
    font-size: 14px;
    color: #bbbbbb;
    flex: 1;
    text-align: right;
}

.session-card.no-data {
    background-color: #333333;
    color: #ff6666;
}


.circuit-info {
    flex: 2;
    background-color: #1e1e1e;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5);
}

.circuit-info h1 {
    text-align: center;
    margin-bottom: 20px;
    font-size: 28px;
}

.images {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 20px;
}

.circuit-image {
    max-width: 70%;
    height: 239px;
    width: 319px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.4);
}

.flag-image {
    height: auto;
    border-radius: 5px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.4);
}

table {
    width: 100%;
    border-collapse: collapse;
    background-color: #2a2a2a;
    color: #ffffff;
    border: 1px solid #444444;
    margin-top: 20px;
    font-size: 16px;
}

table th, table td {
    text-align: left;
    padding: 10px;
    border-bottom: 1px solid #444444;
}

table th {
    background-color: #333333;
    font-weight: bold;
}

table tr:nth-child(even) {
    background-color: #2a2a2a;
}

table tr:nth-child(odd) {
    background-color: #1e1e1e;
}

.circuit-timer {

    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: #2a2a2a;
    padding: 12px;
    color: white;
    text-align: center;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5);
    flex-direction: column;
}

.session-header {
    font-size: 18px;
    font-weight: bold;
    color: #ffcc00;
    text-transform: uppercase;
    margin-bottom: 5px;
}

.session-name {
    font-size: 16px;
    font-weight: bold;
    color: #ffffff;
    margin-bottom: 8px;
}

.session-timer {
    font-size: 14px;
    font-weight: bold;
    color: #ffcc00;
    background-color: #1e1e1e;
    padding: 8px 12px;
    border-radius: 8px;
    display: inline-block;
    width: fit-content;
    text-align: center;
    box-shadow: inset 0 2px 5px rgba(0, 0, 0, 0.5);
}

#resume-resultats {
    width: 100%;
    margin-top: 20px;
    margin-bottom: 50px;
    padding: 20px;
    background-color: #181818;
    border-radius: 8px;
    box-shadow: 0px 0px 10px rgba(255, 255, 255, 0.1);
    flex: 1 1 100%;
}



#resume-resultats h2 {
    text-align: center;
    margin-bottom: 15px;
}

.result-section {
    margin-bottom: 15px;
    text-align: center;
}


.result-section h3 {
    text-align: center;
    text-transform: uppercase;
    margin-bottom: 10px;
}

.result-section table {
    width: 100%;
    border-collapse: collapse;
    background-color: #222;
}


.result-section th, .result-section td {
    padding: 8px;
    text-align: center;
    border-bottom: 1px solid #333;
}

.result-section th {
    background-color: #222;
    color: yellow;
}
